Bug 14220 - Minimizing Xterm kills all Xterms
Minimizing Xterm kills all Xterms
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: sawfish (Show other bugs)
7.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-18 11:02 EDT by Yu-Pa Ng
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-24 11:26:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yu-Pa Ng 2000-07-18 11:02:44 EDT
Where there are two or more Xterms opened, clicking on "-" kills all of
them.
Comment 1 Glen Foster 2000-07-19 11:32:36 EDT
This defect is considered MUST-FIX for Winston Beta-5
Comment 2 Glen Foster 2000-07-19 11:34:46 EDT
3 questions regarding this defect report:
	[1] What window-manager are you running?
	[2] Are you running gnome-terminal or xterm?
	[3] Are the windows being iconified, or actually being killed?
Comment 3 Yu-Pa Ng 2000-07-19 11:50:23 EDT
1. I am running gnome.
2. They are gnome-terminals.  
3. All gnome-terminals are iconified with one click on "-".
Comment 4 Glen Foster 2000-07-21 16:43:55 EDT
This defect has been re-classified as MUST-FIX for Winston Gold-release
Comment 5 Bill Nottingham 2000-07-22 16:37:19 EDT
It's a sawfish configuration issue.

Go into sawfish-ui, under
Minimizing/Maximizing->Minimizing.

There should be a section that says:

'Iconfiying a window also iconifies the <selection>'

If that selection is set  to 'group', that's what's
causing the behavior you see.

Assigning to sawfish, in case we want to change the default config.
Comment 6 Havoc Pennington 2000-07-24 12:03:26 EDT
Default config should be fixed in beta4.

Note You need to log in before you can comment on or make changes to this bug.